SparrowDesk
Conversation fields

List all conversation fields

Retrieve a list of all conversation fields. For nested (hierarchical) fields the options are returned per level in `nested_fields`: each level's options link to the previous level's option via `parent_option_id` (null for level-1 options). Multi select fields return their options in `field_options` like dropdown fields.

GET
/conversations/fields
AuthorizationBearer <token>

In: header

Query Parameters

starting_after?string

Cursor for pagination

per_page?integer

Number of fields to return

Default25
Range1 <= value <= 100
is_active?boolean

Filter by active status

is_default?boolean

Filter by default fields

Response Body

application/json

application/json

curl -X GET "https://app.sparrowdesk.com/v1/conversations/fields"
{
  "data": [
    {
      "id": 102,
      "name": "Priority Level",
      "internal_name": "priority_level",
      "type": "dropdown",
      "description": "Priority level for tickets",
      "is_active": true,
      "is_default": false,
      "is_mandatory_on_close": true,
      "field_options": [
        {
          "id": 1,
          "name": "Low",
          "position": 1
        }
      ],
      "nested_fields": [
        {
          "id": 205,
          "name": "Category",
          "internal_name": "nested_level_102_1",
          "level": 1,
          "parent_id": 102,
          "options": [
            {
              "id": 11,
              "name": "Hardware",
              "position": 1,
              "parent_option_id": null
            }
          ]
        }
      ],
      "created_at": 1672531200,
      "updated_at": 1672535400
    }
  ]
}
{
  "error": {
    "message": "Error while fetching conversation field"
  }
}